#!/bin/bash
set -euo pipefail

# Quick script to build AMD64 image and publish to GHCR
# Usage: ./build-amd64.sh [tag]

TAG="${1:-latest}"

echo "🔨 Building and publishing AMD64 image..."
echo "Tag: ${TAG}"
echo ""

# Build and push AMD64 image in one command
./publish-docker.sh "${TAG}" --platform=linux/amd64 --build-and-push

echo ""
echo "✅ AMD64 image built and published successfully!"
echo ""
echo "To run on AMD64 systems:"
echo "  docker run --platform linux/amd64 -p 3000:3000 -p 3001:3001 ghcr.io/anosatsuk124/voice-rss-summary:${TAG}"